Create a tool

Base URL
https://{kibana_url}
  • POST /api/agent_builder/tools
  • POST /s/{space_id}/api/agent_builder/tools
Auth

Create a new tool. Use this endpoint to define a custom tool with specific functionality and configuration for use by agents. To learn more about Agent Builder tools, refer to the tools documentation.

Required privileges

Privileges agentBuilder:manageTools

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

configuration map string to object required

Tool-specific configuration parameters. See examples for details.

confirmation object

Optional tool call policy to control tool call confirmation behavior

askUser enum
Values: once always never
description string

Description of what the tool does.

id string required

Unique identifier for the tool.

tags string[] · default: []

Optional tags for categorizing and organizing tools.

type enum required

The type of tool to create (e.g., esql, index_search).

Values: esql index_search workflow mcp

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}